Results 1 to 4 of 4

Thread: Qt 4.5.1 packages with plasma corruption

  1. #1
    Join Date
    Jun 2008
    Location
    Omaha, NE
    Posts
    526

    Default Qt 4.5.1 packages with plasma corruption

    The Qt 4.5.1 packages (in the KDEQt45 repo) have a major upstream bug that breaks SVG rendering in Plasma. Thankfully a patch was created right away, but the openSUSE packages need to be rebuilt with this patch. Here is a description of the problem (with a screenshot)

    rdieter: first try with, qt-4.5.1 + kde-4.2.2, not so happy here

    Here is the patch:

    Log of /trunk/qt-copy/patches/0279-svg-rendering-regression.diff

  2. #2
    Join Date
    Jun 2008
    Location
    near SUSE Headquarter
    Posts
    237

    Default Re: Qt 4.5.1 packages with plasma corruption

    There are no Qt 4.5.1 packages in KDE:Qt45 but daily snapshot of 4.5 development branch (including regressions) - hence the 'odd' version numbers.

  3. #3
    Join Date
    Jun 2008
    Location
    Omaha, NE
    Posts
    526

    Default Re: Qt 4.5.1 packages with plasma corruption

    The name says 4.5.0 + 4.5.1, which was a snapshot of the 4.5.1 trunk.

    The day the snapshot was built (4-23) was also the release date, so that snapshot is effectively 4.5.1.

    Either way, that build is broken and there is a patch to fix the regression.

  4. #4
    Join Date
    Jun 2008
    Location
    wichita
    Posts
    921

    Default Re: Qt 4.5.1 packages with plasma corruption

    Personally, I'm waiting until the pkgs are actually 4.5.1 instead of 4.5.0 + 4.5.1. Bound to be safer.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •